| Home | Libraries | People | FAQ | More

## Function template by_ref

boost::xpressive::by_ref — Embed a regex object by reference.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    template<typename BidiIter>
      proto::terminal< reference_wrapper< basic_regex< BidiIter > const  > >::type const
      by_ref(basic_regex< BidiIter > const & rex);

## Description

Parameters:

`rex` | The `basic_regex` object to embed by reference.